function data=mphgetphysicsparam(p)
% data=mphgetphysicsparam(p)
%
% data = mphgetphysicsparam(model.physics('jh').feature('jhm1'))
% data = mphgetphysicsparam(model.physics('jh').feature('hf1'))
%
% See also: mphgetphysics

try
    param = cell(p.params);
catch
    data = [];
    return
end

data = cell(length(param), 2);
for i=1:length(param)
    data{i,1} = char( param{i} );
    data{i,2} = char( p.getString(param{i}) );
end
% Copyright 2010-2011 COMSOL
